%define        majver %(echo %version | cut -d. -f1-2)
Name:          libbabl
Version:       0.1.108
Release:       1mamba
Summary:       babl is a dynamic, any to any, pixel format translation library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gegl.org/babl/
Source:        http://download.gimp.org/pub/babl/%{majver}/babl-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: liblcms2-devel
## AUTOBUILDREQ-END
Provides:      babl
Obsoletes:     babl < 0.1.96

%description
babl is a dynamic, any to any, pixel format translation library.
It allows converting between different methods of storing pixels known as pixel formats that have with different bitdepths and other data representations, color models and component permutations.
A vocabulary to formulate new pixel formats from existing primitives is provided as well as the framework to add new color models and data types.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}
Provides:      babl-devel
Obsoletes:     babl-devel < 0.1.96

%description devel
babl is a dynamic, any to any, pixel format translation library.
It allows converting between different methods of storing pixels known as pixel formats that have with different bitdepths and other data representations, color models and component permutations.
A vocabulary to formulate new pixel formats from existing primitives is provided as well as the framework to add new color models and data types.
This package contains static libraries and header files needed for development.

%package tools
Summary:       Tools provided with %{name}
Group:         Applications/Graphics
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
babl is a dynamic, any to any, pixel format translation library.
It allows converting between different methods of storing pixels known as pixel formats that have with different bitdepths and other data representations, color models and component permutations.
A vocabulary to formulate new pixel formats from existing primitives is provided as well as the framework to add new color models and data types.
This package contains the tools provided with %{name}.

%debug_package

%prep
%setup -q -n babl-%{version}

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/babl-%{majver}
%{_libdir}/babl-%{majver}/*.so*
%{_libdir}/libbabl-%{majver}.so.*
%{_libdir}/girepository-1.0/Babl-0.1.typelib
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/babl-%{majver}/babl
%{_includedir}/babl-%{majver}/babl/*.h
%{_libdir}/libbabl-%{majver}.so
%{_datadir}/gir-1.0/Babl-0.1.gir
%{_datadir}/vala/vapi/babl-0.1.*
%{_libdir}/pkgconfig/*.pc
%dir %{_docdir}/babl-%{majver}
%{_docdir}/babl-%{majver}/*
%doc NEWS TODO

%files tools
%defattr(-,root,root)
%{_bindir}/babl

%changelog
* Sun Feb 11 2024 Automatic Build System <autodist@openmamba.org> 0.1.108-1mamba
- automatic version update by autodist

* Sat May 06 2023 Automatic Build System <autodist@mambasoft.it> 0.1.106-1mamba
- automatic version update by autodist

* Sun Apr 23 2023 Automatic Build System <autodist@mambasoft.it> 0.1.104-1mamba
- automatic version update by autodist

* Sun Feb 26 2023 Automatic Build System <autodist@mambasoft.it> 0.1.102-1mamba
- automatic version update by autodist

* Tue Feb 21 2023 Automatic Build System <autodist@mambasoft.it> 0.1.100-1mamba
- automatic version update by autodist

* Mon Nov 14 2022 Automatic Build System <autodist@mambasoft.it> 0.1.98-1mamba
- automatic version update by autodist

* Tue Aug 30 2022 Automatic Build System <autodist@mambasoft.it> 0.1.96-1mamba
- automatic version update by autodist

* Wed May 18 2022 Automatic Build System <autodist@mambasoft.it> 0.1.92-1mamba
- automatic version update by autodist

* Tue Feb 22 2022 Automatic Build System <autodist@mambasoft.it> 0.1.90-1mamba
- automatic version update by autodist

* Thu Jul 01 2021 Automatic Build System <autodist@mambasoft.it> 0.1.88-1mamba
- automatic version update by autodist

* Sat Feb 27 2021 Automatic Build System <autodist@mambasoft.it> 0.1.86-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 0.1.84-1mamba
- automatic version update by autodist

* Tue Oct 06 2020 Automatic Build System <autodist@mambasoft.it> 0.1.82-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Automatic Build System <autodist@mambasoft.it> 0.1.78-1mamba
- automatic version update by autodist

* Tue Jan 28 2020 Automatic Build System <autodist@mambasoft.it> 0.1.74-1mamba
- automatic version update by autodist

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.72-1mamba
- update to 0.1.72

* Fri Jun 14 2019 Automatic Build System <autodist@mambasoft.it> 0.1.66-1mamba
- automatic version update by autodist

* Fri Mar 22 2019 Automatic Build System <autodist@mambasoft.it> 0.1.62-1mamba
- automatic version update by autodist

* Sun Nov 18 2018 Automatic Build System <autodist@mambasoft.it> 0.1.60-1mamba
- automatic version update by autodist

* Sun Oct 14 2018 Automatic Build System <autodist@mambasoft.it> 0.1.58-1mamba
- automatic version update by autodist

* Fri Aug 24 2018 Automatic Build System <autodist@mambasoft.it> 0.1.56-1mamba
- automatic version update by autodist

* Thu Jul 05 2018 Automatic Build System <autodist@mambasoft.it> 0.1.52-1mamba
- automatic version update by autodist

* Wed May 23 2018 Automatic Build System <autodist@mambasoft.it> 0.1.50-1mamba
- automatic version update by autodist

* Wed Apr 18 2018 Automatic Build System <autodist@mambasoft.it> 0.1.46-1mamba
- automatic version update by autodist

* Sun Mar 25 2018 Automatic Build System <autodist@mambasoft.it> 0.1.44-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 0.1.38-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 0.1.30-1mamba
- automatic version update by autodist

* Mon Mar 06 2017 Automatic Build System <autodist@mambasoft.it> 0.1.24-1mamba
- automatic version update by autodist

* Mon Oct 03 2016 Automatic Build System <autodist@mambasoft.it> 0.1.18-1mamba
- automatic version update by autodist

* Fri Jul 15 2016 Automatic Build System <autodist@mambasoft.it> 0.1.16-1mamba
- automatic version update by autodist

* Sat Nov 28 2015 Automatic Build System <autodist@mambasoft.it> 0.1.14-1mamba
- automatic version update by autodist

* Sat Sep 12 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.12-1mamba
- update to 0.1.12

* Thu May 03 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.1.10-1mamba
- update to 0.1.10

* Thu Dec 22 2011 Automatic Build System <autodist@mambasoft.it> 0.1.6-1mamba
- automatic version update by autodist

* Wed Feb 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.4-1mamba
- update to 0.1.4

* Mon Oct 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.2-2mamba
- rebuilt to add pkgconfig provides

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 0.1.2-1mamba
- update to 0.1.2

* Mon Jun 08 2009 Automatic Build System <autodist@mambasoft.it> 0.1.0-1mamba
- automatic update by autodist

* Thu Oct 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.22-2mamba
- added missing devel package description
- move development library files (*.la, *.so) to devel package
- renamed to libbabl

* Wed Oct 01 2008 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.0.22-1mamba
- package created by autospec
